## 安装
```
npm install monitor-err
```

## 使用
```js
// 在 main.js 中导入和初始化
import MonitorErr from 'monitor-err';

Vue.use(MonitorErr, {
  appName: 'xxx', // 必填项，当前项目的标识
  apiCode: 200, // 接口成功状态码，默认是200
  apiUrl: '', // 如需将报错信息上传到自定义接口可以填充，接口方法是POST
  closeMonitor: false // 是否关闭监控，默认是false
})

```
## 参数说明
| 参数   | 说明 |   类型 |   默认值 |是否必填 |
| :------------- | :---------- | :------------ |:----------|:---------- |
| appName |   项目的标识   | String | '' | 必填 |
| apiCode |   项目接口的 response 里面的 code 成功值   | Number | 200 | 非必填 |
| apiUrl |   报错信息上传的自定义接口地址（POST）   | String | '' | 非必填 |
| closeMonitor |   关闭监控，可通过项目访问地址后添加参数设置是否开关   | Bealean | false | 非必填 |




## 开源协议
ISC